SightRadardocs
API referenceCollections

Collection metrics

Face/selfie counts for one collection, from the gateway's count registry (or a live engine read when the registry is… (GET /v1/collections/{id}/metrics)

Last updated
GET/v1/collections/{id}/metrics
Auth
Bearer API key
Billing
free (0 credits).

Face/selfie counts for one collection, from the gateway's count registry (or a live engine read when the registry is not ready, or with ?verify=true). Free.

Example request

curl -X GET "https://api.sightradar.com/v1/collections/$ID/metrics" \
  -H "Authorization: Bearer $SR_API_KEY"

Put each id in the path percent-encoded, as a single path segment. An id with /, ?, #, % or a space otherwise addresses a different URL. In code, use your HTTP library's path encoding (for example encodeURIComponent in JavaScript or urllib.parse.quote(id, safe="") in Python).

Parameters

NameInTypeDescription
id requiredpathstring
verifyquerybooleanForce a live engine read of the counts instead of the gateway registry (counts_source becomes engine).

Response body

FieldTypeDescription
collection_idstring
statusstring
photo_countinteger
face_countinteger
selfie_countinteger
counts_sourcestringpostgres = the gateway's count registry, engine = a live engine read.

Status codes

StatusMeaning
200Counts.
401Missing or invalid API key.
404Resource not found.
502Engine metrics unavailable.

On this page